BSDK.NET - BlomURBEX 3D Data Provider Software Development Kit

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions
BSDKW::BDataLoader Class Reference

List of all members.

## Public Member Functions
void | Dispose ()
FindDiscreteImages
BLerror | GetDiscreteImage (out BDiscreteImage discreteImage, string discreteImageID)
| Returns an BDiscreteImage referencing to an discreteImage.
BLerror | FindDiscreteImage (out BDiscreteImage discreteImage, double x, double y, BLorientation orientation, string crs, string date)
| Request one discreteImage that is containing a given point This method will not return until the task is completely performed.
BLerror | FindDiscreteImage (out BDiscreteImage discreteImage, double x, double y, BLorientation orientation, string crs)
| Request one discreteImage that is containing a given point This method will not return until the task is completely performed.
BLerror | FindDiscreteImage (out BDiscreteImage discreteImage, double x, double y, BLorientation orientation)
| Request one discreteImage that is containing a given point This method will not return until the task is completely performed.
BLerror | FindDiscreteImage (out BDiscreteImage discreteImage, double x, double y)
| Request one discreteImage that is containing a given point This method will not return until the task is completely performed.
BLerror | FindDiscreteImage (ReadDiscreteImageDelegate readDiscreteImageDelegate, double x, double y, BLorientation orientation, string crs, string date)
| Request one discreteImage that is containing a given point This method will not return until the task is completely performed.
BLerror | FindDiscreteImage (ReadDiscreteImageDelegate readDiscreteImageDelegate, double x, double y, BLorientation orientation, string crs)
| Request one discreteImage that is containing a given point This method will not return until the task is completely performed.
BLerror | FindDiscreteImage (ReadDiscreteImageDelegate readDiscreteImageDelegate, double x, double y, BLorientation orientation)
| Request one discreteImage that is containing a given point This method will not return until the task is completely performed.
BLerror | FindDiscreteImage (ReadDiscreteImageDelegate readDiscreteImageDelegate, double x, double y)
| Request one discreteImage that is containing a given point This method will not return until the task is completely performed.
BLerror | FindDiscreteImage (List< BDiscreteImage > discreteImagesList, double x, double y, BLorientation orientation, string crs, string date)
| Request one discreteImage that is containing a given point This method will not return until the task is completely performed.
BLerror | FindDiscreteImage (List< BDiscreteImage > discreteImagesList, double x, double y, BLorientation orientation, string crs)
| Request one discreteImage that is containing a given point This method will not return until the task is completely performed.
BLerror | FindDiscreteImage (List< BDiscreteImage > discreteImagesList, double x, double y, BLorientation orientation)
| Request one discreteImage that is containing a given point This method will not return until the task is completely performed.
BLerror | FindDiscreteImage (List< BDiscreteImage > discreteImagesList, double x, double y)
| Request one discreteImage that is containing a given point This method will not return until the task is completely performed.
BLerror | FindDiscreteImages (ReadDiscreteImageDelegate readDiscreteImageDelegate, double x, double y, BLorientation orientation, string crs, string date)
| Request all discreteImages that contain a given point.
BLerror | FindDiscreteImages (ReadDiscreteImageDelegate readDiscreteImageDelegate, double x, double y, BLorientation orientation, string crs)
| Request all discreteImages that contain a given point.
BLerror | FindDiscreteImages (ReadDiscreteImageDelegate readDiscreteImageDelegate, double x, double y, BLorientation orientation)
| Request all discreteImages that contain a given point.
BLerror | FindDiscreteImages (ReadDiscreteImageDelegate readDiscreteImageDelegate, double x, double y)
| Request all discreteImages that contain a given point.
BLerror | FindDiscreteImages (List< BDiscreteImage > discreteImagesList, double x, double y, BLorientation orientation, string crs, string date)
| Request all discreteImages that contain a given point.
BLerror | FindDiscreteImages (List< BDiscreteImage > discreteImagesList, double x, double y, BLorientation orientation, string crs)
| Request all discreteImages that contain a given point.
BLerror | FindDiscreteImages (List< BDiscreteImage > discreteImagesList, double x, double y, BLorientation orientation)
| Request all discreteImages that contain a given point.
BLerror | FindDiscreteImages (List< BDiscreteImage > discreteImagesList, double x, double y)
| Request all discreteImages that contain a given point.
BLerror | FindDiscreteImagesByExtent (ReadDiscreteImageDelegate readDiscreteImageDelegate, double xMin, double yMin, double xMax, double yMax, BLorientation orientation, string crs, string date)
| Request all discreteImages that are inside an area.
BLerror | FindDiscreteImagesByExtent (ReadDiscreteImageDelegate readDiscreteImageDelegate, double xMin, double yMin, double xMax, double yMax, BLorientation orientation, string crs)
| Request all discreteImages that are inside an area.
BLerror | FindDiscreteImagesByExtent (ReadDiscreteImageDelegate readDiscreteImageDelegate, double xMin, double yMin, double xMax, double yMax, BLorientation orientation)
| Request all discreteImages that are inside an area.
BLerror | FindDiscreteImagesByExtent (ReadDiscreteImageDelegate readDiscreteImageDelegate, double xMin, double yMin, double xMax, double yMax)
| Request all discreteImages that are inside an area.
BLerror | FindDiscreteImagesByExtent (List< BDiscreteImage > discreteImagesList, double xMin, double yMin, double xMax, double yMax, BLorientation orientation, string crs, string date)
| Request all discreteImages that are inside an area.
BLerror | FindDiscreteImagesByExtent (List< BDiscreteImage > discreteImagesList, double xMin, double yMin, double xMax, double yMax, BLorientation orientation, string crs)
| Request all discreteImages that are inside an area.
BLerror | FindDiscreteImagesByExtent (List< BDiscreteImage > discreteImagesList, double xMin, double yMin, double xMax, double yMax, BLorientation orientation)
| Request all discreteImages that are inside an area.
BLerror | FindDiscreteImagesByExtent (List< BDiscreteImage > discreteImagesList, double xMin, double yMin, double xMax, double yMax)
| Request all discreteImages that are inside an area.
BLerror | PerformGeocoding (BAttributesReceiver attributesReceiver, string location)
BLerror | PerformReverseGeocoding (BAttributesReceiver attributesReceiver, double x, double y, int level)
BLerror | LoadDTM (BDTMGrid dtmGrid, string qtreeKey, string layer, string crs, string date)
BLerror | LoadDTM (BDTMGrid dtmGrid, string qtreeKey, string layer, string crs)
BLerror | LoadDTM (BDTMGrid dtmGrid, string qtreeKey, string layer)
BLerror | LoadModel (BModel model, string qtreeKey, string layer, string crs, string date)
BLerror | LoadModel (BModel model, string qtreeKey, string layer, string crs)
BLerror | LoadModel (BModel model, string qtreeKey, string layer)
BLerror | LoadModel (BModel model, string qtreeKey)
BLerror | LoadLiDAR (BLiDAR lidar, string qtreeKey, string layer, string crs, string date)
BLerror | LoadLiDAR (BLiDAR lidar, string qtreeKey, string layer, string crs)
BLerror | LoadLiDAR (BLiDAR lidar, string qtreeKey, string layer)
BLerror | GetAvailableData (out AvailableData[] availableData, BLdatatype datatype)
| Returns the available data of the given datatype.
BLerror | GetAvailableData (out AvailableData[] availableData, BLdatatype datatype, string dataSourceID)
| Returns the available data of the given datatype.
BLerror | GetDataInformation (BAttributesReceiver attributesReceiver, BLdatatype datatype, string layer, BLorientation orientation)
| Returns the owner and date of an ortho overlay in a given region.
BLerror | GetDataInformation (BAttributesReceiver attributesReceiver, BLdatatype datatype, string layer, BLorientation orientation, string dataSourceID)
BLerror | GetDataInformation (BAttributesReceiver attributesReceiver, BLdatatype datatype, string layer, BLorientation orientation, double x, double y, int level, string crs, string date)
BLerror | GetDataInformation (BAttributesReceiver attributesReceiver, BLdatatype datatype, string layer, BLorientation orientation, double x, double y, int level, string crs, string date, string dataSourceID)
BLerror | GetDataInformation (BAttributesReceiver attributesReceiver, BLdatatype datatype, string layer, BLorientation orientation, double x, double y, int level, string crs)
BLerror | GetDataInformation (BAttributesReceiver attributesReceiver, BLdatatype datatype, string layer, BLorientation orientation, double x, double y, int level)
BLerror | GetDataInformation (BAttributesReceiver attributesReceiver, BLdatatype datatype, string layer, BLorientation orientation, double xmin, double ymin, double xmax, double ymax, string crs, string date)
BLerror | GetDataInformation (BAttributesReceiver attributesReceiver, BLdatatype datatype, string layer, BLorientation orientation, double xmin, double ymin, double xmax, double ymax, string crs, string date, string dataSourceID)
BLerror | GetDataInformation (BAttributesReceiver attributesReceiver, BLdatatype datatype, string layer, BLorientation orientation, double xmin, double ymin, double xmax, double ymax, string crs)
BLerror | GetDataInformation (BAttributesReceiver attributesReceiver, BLdatatype datatype, string layer, BLorientation orientation, double xmin, double ymin, double xmax, double ymax)
Ortho calculations
BLerror | CalculateElevation (out double height, double x, double y, string crs)
| Returns the elevation from sea level of a given point of an ortho image.
BLerror | CalculateElevation (out double height, double x, double y)
| Returns the elevation from sea level of a given point of an ortho image.
BLerror | CalculateGroundLength (out double lengthInMeters, out double[] pointsArray, double inix, double iniy, double dstx, double dsty, string crs)
| Returns the length between 2 points taking into account the ground’s surface shape.
BLerror | CalculateGroundLength (out double lengthInMeters, out double[] pointsArray, double inix, double iniy, double dstx, double dsty)
Discrete objects loading
BLerror | LoadOrthoArea (out Bitmap image, double xMin, double yMin, double xMax, double yMax, string crs, int width, int height, BLorientation orientation, string baselayer, string styles, string time)
BLerror | LoadOrthoArea (out Bitmap image, double xMin, double yMin, double xMax, double yMax, string crs, int width, int height, BLorientation orientation, string baselayer, string styles)
BLerror | LoadOrthoArea (out Bitmap image, double xMin, double yMin, double xMax, double yMax, string crs, int width, int height, BLorientation orientation, string baselayer)
BLerror | LoadOrthoArea (out Bitmap image, double xMin, double yMin, double xMax, double yMax, string crs, int width, int height, BLorientation orientation)
BLerror | LoadDiscreteImageArea (out Bitmap image, double x, double y, string crs, int width, int height, int zoomLevel, BLorientation orientation, string time)
BLerror | LoadDiscreteImageArea (out Bitmap image, double x, double y, string crs, int width, int height, int zoomLevel, BLorientation orientation)
BLerror | LoadDiscreteImageArea (out Bitmap image, double x, double y, string crs, int width, int height, int zoomLevel)
## User info
double | DefaultLatitude`[get]`
| Returns default latitude for this user in Geographic coordinate system.
double | DefaultLongitude`[get]`
| Returns default longitude for this user in Geographic coordinate system.
DataSourceUpdatedHandler | DataSourceUpdated
double | DefaultLatitudeWithName (string dataSourceID)
| Returns default latitude for this dataSource in Geographic coordinate system.
double | DefaultLongitudeWithName (string dataSourceID)
| Returns default longitude for this dataSource in Geographic coordinate system.
string | GetLastDataSourceUsed ()
| Returns name of last used datasource for a particular thread.
## DataSources management
BLerror | AddDataSource (int priority, string name)
| Adds a new datasource.
BLerror | RemoveDataSource (string name)
| Removes an existent datasource.
BLerror | ClearDataSources ()
| Removes all existent datasources.
BLerror | GetDataSources (out List< string > dataSources)
| Get an existent datasource.
BLerror | LoadOrthoBaseLayer (out Bitmap image, string qtreeKey, string baselayer, BLorientation orientation, string crs, string date)
| Request a certain orthophoto baselayer in a certain location.
BLerror | LoadOrthoBaseLayer (out Bitmap image, string qtreeKey, string baselayer, BLorientation orientation, string crs)
| Request a certain orthophoto baselayer in a certain location.
BLerror | LoadOrthoBaseLayer (out Bitmap image, string qtreeKey, string baselayer, BLorientation orientation)
| Request a certain orthophoto baselayer in a certain location.
BLerror | LoadOrthoBaseLayer (out Bitmap image, string qtreeKey, string baselayer)
| Request a certain orthophoto baselayer in a certain location.
BLerror | LoadOrthoOverlay (out Bitmap image, string qtreeKey, string overlay, BLorientation orientation, string crs, string date)
| Request a certain orthophoto overlay in a certain location.
BLerror | LoadOrthoOverlay (out Bitmap image, string qtreeKey, string overlay, BLorientation orientation, string crs)
| Request a certain orthophoto overlay in a certain location.
BLerror | LoadOrthoOverlay (out Bitmap image, string qtreeKey, string overlay, BLorientation orientation)
| Request a certain orthophoto overlay in a certain location.
BLerror | LoadOrthoOverlay (out Bitmap image, string qtreeKey, string overlay)
| Request a certain orthophoto overlay in a certain location.

## Member Function Documentation

BLerror BSDKW::BDataLoader::AddDataSource | ( | int | priority,
|  | string | name
| ) |  | `[inline]`

Adds a new datasource.

Parameters:

  priority | Priority that is going to be given to this datasource
  name | Datasource name.

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDataLoader::CalculateElevation | ( | out double | height,
|  | double | x,
|  | double | y,
|  | string | crs
| ) |  | `[inline]`

Returns the elevation from sea level of a given point of an ortho image.

The elevation is measured in meters.

Parameters:

  height | Reference to the variable where elevation will be stored.
  x | Requested X value
  y | Requested Y value
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDataLoader::CalculateElevation | ( | out double | height,
|  | double | x,
|  | double | y
| ) |  | `[inline]`

Returns the elevation from sea level of a given point of an ortho image.

The elevation is measured in meters.

Parameters:

  height | Reference to the variable where elevation will be stored.
  x | Requested X value
  y | Requested Y value

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDataLoader::CalculateGroundLength | ( | out double | lengthInMeters,
|  | out double[] | pointsArray,
|  | double | inix,
|  | double | iniy,
|  | double | dstx,
|  | double | dsty,
|  | string | crs
| ) |  | `[inline]`

Returns the length between 2 points taking into account the ground’s surface shape.

Therefore, the ground length between two points will always be greater than or equals to the linear length between those points. The difference between these two measures would depend on how rough the ground is. If the ground is smooth, both measures would be almost the same value. Otherwise, ground length may be significantly higher than linear length. In order to calculate the ground length, this function will divide the imaginary straight line between the points given into 10 or less divisions, given that the divisions are greater than 10 metres. For each division, the function will calculate the height of its edge points and then it will calculate the length between those points using their height and the linear length between them. The result will be the addition of all these partial lengths.

Parameters:

  lengthInMeters | Reference to the variable where distance will be stored.
  pointsArray | Segments in which the measure was made.
  inix | First point X coordinate
  iniy | First point Y coordinate
  dstx | Second point X coordinate
  dsty | Second point Y coordinate
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDataLoader::CalculateGroundLength | ( | out double | lengthInMeters,
|  | out double[] | pointsArray,
|  | double | inix,
|  | double | iniy,
|  | double | dstx,
|  | double | dsty
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::ClearDataSources | ( |  | ) | `[inline]`

Removes all existent datasources.

Returns:
  Returns 0 if success

double BSDKW::BDataLoader::DefaultLatitudeWithName | ( | string | dataSourceID | ) | `[inline]`

Returns default latitude for this dataSource in Geographic coordinate system.

Parameters:

  dataSourceID | name of the dataSource as string

Returns:
  Default latitude for this dataSource in Geographic coordinate system

double BSDKW::BDataLoader::DefaultLongitudeWithName | ( | string | dataSourceID | ) | `[inline]`

Returns default longitude for this dataSource in Geographic coordinate system.

Parameters:

  dataSourceID | name of the dataSource as string

Returns:
  Default longitude for this user in Geographic coordinate system

void BSDKW::BDataLoader::Dispose | ( |  | ) | `[inline]`

BLerror BSDKW::BDataLoader::FindDiscreteImage | ( | out BDiscreteImage | discreteImage,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

Request one discreteImage that is containing a given point This method will not return until the task is completely performed.

Parameters:

  discreteImage | Object where information is going to be stored into.
  x | X value given by the useconst r
  y | Y value given by the user
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'
  date | A date following the structure YYYYMMDD or YYYYMM or YYYY. It could be a range using the following structure YYYYMMDD-YYYYMMDD. By default returns the most current discreteImages available.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImage | ( | out BDiscreteImage | discreteImage,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation,
|  | string | crs
| ) |  | `[inline]`

Request one discreteImage that is containing a given point This method will not return until the task is completely performed.

Parameters:

  discreteImage | Object where information is going to be stored into.
  x | X value given by the useconst r
  y | Y value given by the user
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImage | ( | out BDiscreteImage | discreteImage,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation
| ) |  | `[inline]`

Request one discreteImage that is containing a given point This method will not return until the task is completely performed.

Parameters:

  discreteImage | Object where information is going to be stored into.
  x | X value given by the useconst r
  y | Y value given by the user
  orientation | Orientation type indicating the view orientation.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImage | ( | out BDiscreteImage | discreteImage,
|  | double | x,
|  | double | y
| ) |  | `[inline]`

Request one discreteImage that is containing a given point This method will not return until the task is completely performed.

Parameters:

  discreteImage | Object where information is going to be stored into.
  x | X value given by the useconst r
  y | Y value given by the user

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImage | ( | ReadDiscreteImageDelegate | readDiscreteImageDelegate,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

Request one discreteImage that is containing a given point This method will not return until the task is completely performed.

Parameters:

  readDiscreteImageDelegate | Object where information is going to be stored into.
  x | X value given by the useconst r
  y | Y value given by the user
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'
  date | A date following the structure YYYYMMDD or YYYYMM or YYYY. It could be a range using the following structure YYYYMMDD-YYYYMMDD. By default returns the most current discreteImages available.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImage | ( | ReadDiscreteImageDelegate | readDiscreteImageDelegate,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation,
|  | string | crs
| ) |  | `[inline]`

Request one discreteImage that is containing a given point This method will not return until the task is completely performed.

Parameters:

  readDiscreteImageDelegate | Object where information is going to be stored into.
  x | X value given by the useconst r
  y | Y value given by the user
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImage | ( | ReadDiscreteImageDelegate | readDiscreteImageDelegate,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation
| ) |  | `[inline]`

Request one discreteImage that is containing a given point This method will not return until the task is completely performed.

Parameters:

  readDiscreteImageDelegate | Object where information is going to be stored into.
  x | X value given by the useconst r
  y | Y value given by the user
  orientation | Orientation type indicating the view orientation.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImage | ( | ReadDiscreteImageDelegate | readDiscreteImageDelegate,
|  | double | x,
|  | double | y
| ) |  | `[inline]`

Request one discreteImage that is containing a given point This method will not return until the task is completely performed.

Parameters:

  readDiscreteImageDelegate | Object where information is going to be stored into.
  x | X value given by the useconst r
  y | Y value given by the user

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImage | ( | List< BDiscreteImage > | discreteImagesList,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

Request one discreteImage that is containing a given point This method will not return until the task is completely performed.

Parameters:

  discreteImagesList | Object where information is going to be stored into.
  x | X value given by the useconst r
  y | Y value given by the user
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'
  date | A date following the structure YYYYMMDD or YYYYMM or YYYY. It could be a range using the following structure YYYYMMDD-YYYYMMDD. By default returns the most current discreteImages available.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImage | ( | List< BDiscreteImage > | discreteImagesList,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation,
|  | string | crs
| ) |  | `[inline]`

Request one discreteImage that is containing a given point This method will not return until the task is completely performed.

Parameters:

  discreteImagesList | Object where information is going to be stored into.
  x | X value given by the useconst r
  y | Y value given by the user
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImage | ( | List< BDiscreteImage > | discreteImagesList,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation
| ) |  | `[inline]`

Request one discreteImage that is containing a given point This method will not return until the task is completely performed.

Parameters:

  discreteImagesList | Object where information is going to be stored into.
  x | X value given by the useconst r
  y | Y value given by the user
  orientation | Orientation type indicating the view orientation.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImage | ( | List< BDiscreteImage > | discreteImagesList,
|  | double | x,
|  | double | y
| ) |  | `[inline]`

Request one discreteImage that is containing a given point This method will not return until the task is completely performed.

Parameters:

  discreteImagesList | Object where information is going to be stored into.
  x | X value given by the useconst r
  y | Y value given by the user

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImages | ( | ReadDiscreteImageDelegate | readDiscreteImageDelegate,
|  | double | x,
|  | double | y
| ) |  | `[inline]`

Request all discreteImages that contain a given point.

This method will not return until the task is completely performed.

Parameters:

  readDiscreteImageDelegate | Object where information is going to be stored into.
  x | x value
  y | y value

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImages | ( | ReadDiscreteImageDelegate | readDiscreteImageDelegate,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation
| ) |  | `[inline]`

Request all discreteImages that contain a given point.

This method will not return until the task is completely performed.

Parameters:

  readDiscreteImageDelegate | Object where information is going to be stored into.
  x | x value
  y | y value
  orientation | Orientation type indicating the view orientation.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImages | ( | List< BDiscreteImage > | discreteImagesList,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation,
|  | string | crs
| ) |  | `[inline]`

Request all discreteImages that contain a given point.

This method will not return until the task is completely performed.

Parameters:

  discreteImagesList | Object where information is going to be stored into.
  x | x value
  y | y value
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImages | ( | List< BDiscreteImage > | discreteImagesList,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

Request all discreteImages that contain a given point.

This method will not return until the task is completely performed.

Parameters:

  discreteImagesList | Object where information is going to be stored into.
  x | x value
  y | y value
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'
  date | A date following the structure YYYYMMDD or YYYYMM or YYYY. It could be a range using the following structure YYYYMMDD-YYYYMMDD. By default returns the most current discreteImages available.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImages | ( | List< BDiscreteImage > | discreteImagesList,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation
| ) |  | `[inline]`

Request all discreteImages that contain a given point.

This method will not return until the task is completely performed.

Parameters:

  discreteImagesList | Object where information is going to be stored into.
  x | x value
  y | y value
  orientation | Orientation type indicating the view orientation.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImages | ( | List< BDiscreteImage > | discreteImagesList,
|  | double | x,
|  | double | y
| ) |  | `[inline]`

Request all discreteImages that contain a given point.

This method will not return until the task is completely performed.

Parameters:

  discreteImagesList | Object where information is going to be stored into.
  x | x value
  y | y value

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImages | ( | ReadDiscreteImageDelegate | readDiscreteImageDelegate,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

Request all discreteImages that contain a given point.

This method will not return until the task is completely performed.

Parameters:

  readDiscreteImageDelegate | Object where information is going to be stored into.
  x | x value
  y | y value
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'
  date | A date following the structure YYYYMMDD or YYYYMM or YYYY. It could be a range using the following structure YYYYMMDD-YYYYMMDD. By default returns the most current discreteImages available.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImages | ( | ReadDiscreteImageDelegate | readDiscreteImageDelegate,
|  | double | x,
|  | double | y,
|  | BLorientation | orientation,
|  | string | crs
| ) |  | `[inline]`

Request all discreteImages that contain a given point.

This method will not return until the task is completely performed.

Parameters:

  readDiscreteImageDelegate | Object where information is going to be stored into.
  x | x value
  y | y value
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImagesByExtent | ( | ReadDiscreteImageDelegate | readDiscreteImageDelegate,
|  | double | xMin,
|  | double | yMin,
|  | double | xMax,
|  | double | yMax,
|  | BLorientation | orientation,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

Request all discreteImages that are inside an area.

This method will not return until the task is completely performed.

Parameters:

  readDiscreteImageDelegate | Object where information is going to be stored into.
  xMin | Minimum x of the Extent
  yMin | Minimum y of the Extent
  xMax | Maximum x of the Extent
  yMax | Maximum y of the Extent
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'
  date | A date following the structure YYYYMMDD or YYYYMM or YYYY. It could be a range using the following structure YYYYMMDD-YYYYMMDD. By default returns the most current discreteImages available.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImagesByExtent | ( | ReadDiscreteImageDelegate | readDiscreteImageDelegate,
|  | double | xMin,
|  | double | yMin,
|  | double | xMax,
|  | double | yMax,
|  | BLorientation | orientation,
|  | string | crs
| ) |  | `[inline]`

Request all discreteImages that are inside an area.

This method will not return until the task is completely performed.

Parameters:

  readDiscreteImageDelegate | Object where information is going to be stored into.
  xMin | Minimum x of the Extent
  yMin | Minimum y of the Extent
  xMax | Maximum x of the Extent
  yMax | Maximum y of the Extent
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImagesByExtent | ( | ReadDiscreteImageDelegate | readDiscreteImageDelegate,
|  | double | xMin,
|  | double | yMin,
|  | double | xMax,
|  | double | yMax,
|  | BLorientation | orientation
| ) |  | `[inline]`

Request all discreteImages that are inside an area.

This method will not return until the task is completely performed.

Parameters:

  readDiscreteImageDelegate | Object where information is going to be stored into.
  xMin | Minimum x of the Extent
  yMin | Minimum y of the Extent
  xMax | Maximum x of the Extent
  yMax | Maximum y of the Extent
  orientation | Orientation type indicating the view orientation.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImagesByExtent | ( | ReadDiscreteImageDelegate | readDiscreteImageDelegate,
|  | double | xMin,
|  | double | yMin,
|  | double | xMax,
|  | double | yMax
| ) |  | `[inline]`

Request all discreteImages that are inside an area.

This method will not return until the task is completely performed.

Parameters:

  readDiscreteImageDelegate | Object where information is going to be stored into.
  xMin | Minimum x of the Extent
  yMin | Minimum y of the Extent
  xMax | Maximum x of the Extent
  yMax | Maximum y of the Extent

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImagesByExtent | ( | List< BDiscreteImage > | discreteImagesList,
|  | double | xMin,
|  | double | yMin,
|  | double | xMax,
|  | double | yMax,
|  | BLorientation | orientation,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

Request all discreteImages that are inside an area.

This method will not return until the task is completely performed.

Parameters:

  discreteImagesList | List where information is going to be stored into.
  xMin | Minimum x of the Extent
  yMin | Minimum y of the Extent
  xMax | Maximum x of the Extent
  yMax | Maximum y of the Extent
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'
  date | A date following the structure YYYYMMDD or YYYYMM or YYYY. It could be a range using the following structure YYYYMMDD-YYYYMMDD. By default returns the most current discreteImages available.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImagesByExtent | ( | List< BDiscreteImage > | discreteImagesList,
|  | double | xMin,
|  | double | yMin,
|  | double | xMax,
|  | double | yMax,
|  | BLorientation | orientation,
|  | string | crs
| ) |  | `[inline]`

Request all discreteImages that are inside an area.

This method will not return until the task is completely performed.

Parameters:

  discreteImagesList | List where information is going to be stored into.
  xMin | Minimum x of the Extent
  yMin | Minimum y of the Extent
  xMax | Maximum x of the Extent
  yMax | Maximum y of the Extent
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to WGS84 Geographics Coordinates 'EPSG:4326'

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImagesByExtent | ( | List< BDiscreteImage > | discreteImagesList,
|  | double | xMin,
|  | double | yMin,
|  | double | xMax,
|  | double | yMax,
|  | BLorientation | orientation
| ) |  | `[inline]`

Request all discreteImages that are inside an area.

This method will not return until the task is completely performed.

Parameters:

  discreteImagesList | List where information is going to be stored into.
  xMin | Minimum x of the Extent
  yMin | Minimum y of the Extent
  xMax | Maximum x of the Extent
  yMax | Maximum y of the Extent
  orientation | Orientation type indicating the view orientation.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::FindDiscreteImagesByExtent | ( | List< BDiscreteImage > | discreteImagesList,
|  | double | xMin,
|  | double | yMin,
|  | double | xMax,
|  | double | yMax
| ) |  | `[inline]`

Request all discreteImages that are inside an area.

This method will not return until the task is completely performed.

Parameters:

  discreteImagesList | List where information is going to be stored into.
  xMin | Minimum x of the Extent
  yMin | Minimum y of the Extent
  xMax | Maximum x of the Extent
  yMax | Maximum y of the Extent

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::GetAvailableData | ( | out AvailableData[] | availableData,
|  | BLdatatype | datatype
| ) |  | `[inline]`

Returns the available data of the given datatype.

Parameters:

  availableData | Object where information is going to be stored into.
  datatype | Requested data type

Returns:
  the available data of the given datatype

BLerror BSDKW::BDataLoader::GetAvailableData | ( | out AvailableData[] | availableData,
|  | BLdatatype | datatype,
|  | string | dataSourceID
| ) |  | `[inline]`

Returns the available data of the given datatype.

Parameters:

  availableData | Object where information is going to be stored into.
  datatype | Requested data type
  dataSourceID | Data source ID

Returns:
  the available data of the given datatype

BLerror BSDKW::BDataLoader::GetDataInformation | ( | BAttributesReceiver | attributesReceiver,
|  | BLdatatype | datatype,
|  | string | layer,
|  | BLorientation | orientation,
|  | double | x,
|  | double | y,
|  | int | level,
|  | string | crs,
|  | string | date,
|  | string | dataSourceID
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::GetDataInformation | ( | BAttributesReceiver | attributesReceiver,
|  | BLdatatype | datatype,
|  | string | layer,
|  | BLorientation | orientation,
|  | double | x,
|  | double | y,
|  | int | level,
|  | string | crs
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::GetDataInformation | ( | BAttributesReceiver | attributesReceiver,
|  | BLdatatype | datatype,
|  | string | layer,
|  | BLorientation | orientation,
|  | double | x,
|  | double | y,
|  | int | level
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::GetDataInformation | ( | BAttributesReceiver | attributesReceiver,
|  | BLdatatype | datatype,
|  | string | layer,
|  | BLorientation | orientation,
|  | double | xmin,
|  | double | ymin,
|  | double | xmax,
|  | double | ymax,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::GetDataInformation | ( | BAttributesReceiver | attributesReceiver,
|  | BLdatatype | datatype,
|  | string | layer,
|  | BLorientation | orientation,
|  | double | xmin,
|  | double | ymin,
|  | double | xmax,
|  | double | ymax,
|  | string | crs
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::GetDataInformation | ( | BAttributesReceiver | attributesReceiver,
|  | BLdatatype | datatype,
|  | string | layer,
|  | BLorientation | orientation,
|  | double | xmin,
|  | double | ymin,
|  | double | xmax,
|  | double | ymax,
|  | string | crs,
|  | string | date,
|  | string | dataSourceID
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::GetDataInformation | ( | BAttributesReceiver | attributesReceiver,
|  | BLdatatype | datatype,
|  | string | layer,
|  | BLorientation | orientation,
|  | double | xmin,
|  | double | ymin,
|  | double | xmax,
|  | double | ymax
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::GetDataInformation | ( | BAttributesReceiver | attributesReceiver,
|  | BLdatatype | datatype,
|  | string | layer,
|  | BLorientation | orientation,
|  | string | dataSourceID
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::GetDataInformation | ( | BAttributesReceiver | attributesReceiver,
|  | BLdatatype | datatype,
|  | string | layer,
|  | BLorientation | orientation
| ) |  | `[inline]`

Returns the owner and date of an ortho overlay in a given region.

Parameters:

  attributesReceiver | Object where information is going to be stored into.
  datatype | Requested data type
  layer | Requested overlay
  orientation | Requested orientation

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDataLoader::GetDataInformation | ( | BAttributesReceiver | attributesReceiver,
|  | BLdatatype | datatype,
|  | string | layer,
|  | BLorientation | orientation,
|  | double | x,
|  | double | y,
|  | int | level,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::GetDataSources | ( | out List< string > | dataSources | ) | `[inline]`

Get an existent datasource.

Parameters:

  dataSources | list of string

Returns:
  Returns 0 if success, and a non-zero otherwise

BLerror BSDKW::BDataLoader::GetDiscreteImage | ( | out BDiscreteImage | discreteImage,
|  | string | discreteImageID
| ) |  | `[inline]`

Returns an BDiscreteImage referencing to an discreteImage.

This method will not return until the task is completely performed.

Parameters:

  discreteImage | Object where information is going to be stored into.
  discreteImageID |

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

string BSDKW::BDataLoader::GetLastDataSourceUsed | ( |  | ) | `[inline]`

Returns name of last used datasource for a particular thread.

Returns:
  name of last used datasource, 0 on failure, for a particular thread

BLerror BSDKW::BDataLoader::LoadDiscreteImageArea | ( | out Bitmap | image,
|  | double | x,
|  | double | y,
|  | string | crs,
|  | int | width,
|  | int | height,
|  | int | zoomLevel,
|  | BLorientation | orientation
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadDiscreteImageArea | ( | out Bitmap | image,
|  | double | x,
|  | double | y,
|  | string | crs,
|  | int | width,
|  | int | height,
|  | int | zoomLevel
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadDiscreteImageArea | ( | out Bitmap | image,
|  | double | x,
|  | double | y,
|  | string | crs,
|  | int | width,
|  | int | height,
|  | int | zoomLevel,
|  | BLorientation | orientation,
|  | string | time
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadDTM | ( | BDTMGrid | dtmGrid,
|  | string | qtreeKey,
|  | string | layer,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadDTM | ( | BDTMGrid | dtmGrid,
|  | string | qtreeKey,
|  | string | layer,
|  | string | crs
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadDTM | ( | BDTMGrid | dtmGrid,
|  | string | qtreeKey,
|  | string | layer
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadLiDAR | ( | BLiDAR | lidar,
|  | string | qtreeKey,
|  | string | layer
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadLiDAR | ( | BLiDAR | lidar,
|  | string | qtreeKey,
|  | string | layer,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadLiDAR | ( | BLiDAR | lidar,
|  | string | qtreeKey,
|  | string | layer,
|  | string | crs
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadModel | ( | BModel | model,
|  | string | qtreeKey
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadModel | ( | BModel | model,
|  | string | qtreeKey,
|  | string | layer,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadModel | ( | BModel | model,
|  | string | qtreeKey,
|  | string | layer,
|  | string | crs
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadModel | ( | BModel | model,
|  | string | qtreeKey,
|  | string | layer
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadOrthoArea | ( | out Bitmap | image,
|  | double | xMin,
|  | double | yMin,
|  | double | xMax,
|  | double | yMax,
|  | string | crs,
|  | int | width,
|  | int | height,
|  | BLorientation | orientation
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadOrthoArea | ( | out Bitmap | image,
|  | double | xMin,
|  | double | yMin,
|  | double | xMax,
|  | double | yMax,
|  | string | crs,
|  | int | width,
|  | int | height,
|  | BLorientation | orientation,
|  | string | baselayer,
|  | string | styles
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadOrthoArea | ( | out Bitmap | image,
|  | double | xMin,
|  | double | yMin,
|  | double | xMax,
|  | double | yMax,
|  | string | crs,
|  | int | width,
|  | int | height,
|  | BLorientation | orientation,
|  | string | baselayer,
|  | string | styles,
|  | string | time
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadOrthoArea | ( | out Bitmap | image,
|  | double | xMin,
|  | double | yMin,
|  | double | xMax,
|  | double | yMax,
|  | string | crs,
|  | int | width,
|  | int | height,
|  | BLorientation | orientation,
|  | string | baselayer
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::LoadOrthoBaseLayer | ( | out Bitmap | image,
|  | string | qtreeKey,
|  | string | baselayer,
|  | BLorientation | orientation,
|  | string | crs
| ) |  | `[inline]`

Request a certain orthophoto baselayer in a certain location.

This method will not return until the task is completely performed.

Parameters:

  image | Object where information is going to be stored into.
  qtreeKey | Spherical Mercator Quadtree key indicating location
  baselayer | Indicates baselayer name requested.
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to Spherical Mercator 'EPSG:3785'

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::LoadOrthoBaseLayer | ( | out Bitmap | image,
|  | string | qtreeKey,
|  | string | baselayer,
|  | BLorientation | orientation
| ) |  | `[inline]`

Request a certain orthophoto baselayer in a certain location.

This method will not return until the task is completely performed.

Parameters:

  image | Object where information is going to be stored into.
  qtreeKey | Spherical Mercator Quadtree key indicating location
  baselayer | Indicates baselayer name requested.
  orientation | Orientation type indicating the view orientation.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::LoadOrthoBaseLayer | ( | out Bitmap | image,
|  | string | qtreeKey,
|  | string | baselayer
| ) |  | `[inline]`

Request a certain orthophoto baselayer in a certain location.

This method will not return until the task is completely performed.

Parameters:

  image | Object where information is going to be stored into.
  qtreeKey | Spherical Mercator Quadtree key indicating location
  baselayer | Indicates baselayer name requested.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::LoadOrthoBaseLayer | ( | out Bitmap | image,
|  | string | qtreeKey,
|  | string | baselayer,
|  | BLorientation | orientation,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

Request a certain orthophoto baselayer in a certain location.

This method will not return until the task is completely performed.

Parameters:

  image | Object where information is going to be stored into.
  qtreeKey | Spherical Mercator Quadtree key indicating location
  baselayer | Indicates baselayer name requested.
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to Spherical Mercator 'EPSG:3785'
  date | A date following the structure YYYYMMDD or YYYYMM or YYYY. It could be a range using the following structure YYYYMMDD-YYYYMMDD. By default returns the most current discreteImages available.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::LoadOrthoOverlay | ( | out Bitmap | image,
|  | string | qtreeKey,
|  | string | overlay,
|  | BLorientation | orientation,
|  | string | crs,
|  | string | date
| ) |  | `[inline]`

Request a certain orthophoto overlay in a certain location.

This method will not return until the task is completely performed.

Parameters:

  image | Object where information is going to be stored into.
  qtreeKey | Spherical Mercator Quadtree key indicating location
  overlay | Indicates overlay name requested.
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to Spherical Mercator 'EPSG:3785'
  date | A date following the structure YYYYMMDD or YYYYMM or YYYY. It could be a range using the following structure YYYYMMDD-YYYYMMDD. By default returns the most current discreteImages available.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::LoadOrthoOverlay | ( | out Bitmap | image,
|  | string | qtreeKey,
|  | string | overlay
| ) |  | `[inline]`

Request a certain orthophoto overlay in a certain location.

This method will not return until the task is completely performed.

Parameters:

  image | Object where information is going to be stored into.
  qtreeKey | Spherical Mercator Quadtree key indicating location
  overlay | Indicates overlay name requested.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::LoadOrthoOverlay | ( | out Bitmap | image,
|  | string | qtreeKey,
|  | string | overlay,
|  | BLorientation | orientation
| ) |  | `[inline]`

Request a certain orthophoto overlay in a certain location.

This method will not return until the task is completely performed.

Parameters:

  image | Object where information is going to be stored into.
  qtreeKey | Spherical Mercator Quadtree key indicating location
  overlay | Indicates overlay name requested.
  orientation | Orientation type indicating the view orientation.

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::LoadOrthoOverlay | ( | out Bitmap | image,
|  | string | qtreeKey,
|  | string | overlay,
|  | BLorientation | orientation,
|  | string | crs
| ) |  | `[inline]`

Request a certain orthophoto overlay in a certain location.

This method will not return until the task is completely performed.

Parameters:

  image | Object where information is going to be stored into.
  qtreeKey | Spherical Mercator Quadtree key indicating location
  overlay | Indicates overlay name requested.
  orientation | Orientation type indicating the view orientation.
  crs | Coordinate reference system used, it must follow OGC nomenclature. For example 'EPSG:32630'. It defaults to Spherical Mercator 'EPSG:3785'

Returns:
  Returns 0 if success, and a non-zero otherwise

See also:
  BImage

BLerror BSDKW::BDataLoader::PerformGeocoding | ( | BAttributesReceiver | attributesReceiver,
|  | string | location
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::PerformReverseGeocoding | ( | BAttributesReceiver | attributesReceiver,
|  | double | x,
|  | double | y,
|  | int | level
| ) |  | `[inline]`

BLerror BSDKW::BDataLoader::RemoveDataSource | ( | string | name | ) | `[inline]`

Removes an existent datasource.

Parameters:

  name | Datasource name.

Returns:
  Returns 0 if success, and a non-zero otherwise

## Property Documentation

double BSDKW::BDataLoader::DefaultLatitude`[get]`

Returns default latitude for this user in Geographic coordinate system.

Returns:
  Default latitude for this user in Geographic coordinate system

double BSDKW::BDataLoader::DefaultLongitude`[get]`

Returns default longitude for this user in Geographic coordinate system.

Returns:
  Default longitude for this user in Geographic coordinate system

## Event Documentation

DataSourceUpdatedHandler BSDKW::BDataLoader::DataSourceUpdated

The documentation for this class was generated from the following file:

- BDataLoader.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events